# API Key Secret

Deploying groundcover using an API Key Secret ensures that only authorized entities can access the API's functionalities. It is relatively straightforward compared to other authentication mechanisms, which can be beneficial for rapid deployment and integration.

You can inject the API Key using a custom secret by following these steps:

* Either manually, or using a secret manager, create a secret in the following structure

```yaml
apiVersion: v1
kind: Secret
metadata:
  name: groundcover-api-key
  namespace: groundcover
stringData:
  API_KEY: <apikey>
type: Opaque
```

* Create/Update helm overrides file, with the following override

```yaml
global:
  groundcoverPredefinedTokenSecret:
    secretKey: API_KEY
    secretName: groundcover-api-key
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.groundcover.com/customization/customize-deployment/api-key-secret.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
